Module java.desktop
Package javax.swing.plaf.basic

# Class BasicTabbedPaneUI.TabbedPaneLayout

java.lang.Object
javax.swing.plaf.basic.BasicTabbedPaneUI.TabbedPaneLayout

All Implemented Interfaces:
  `LayoutManager`

Direct Known Subclasses:
  `MetalTabbedPaneUI.TabbedPaneLayout`

Enclosing class:
  BasicTabbedPaneUI

    public class BasicTabbedPaneUI.TabbedPaneLayout
    extends Object
    implements LayoutManager

This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicTabbedPaneUI.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`TabbedPaneLayout()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `calculateLayoutInfo()` | Calculates the layout info.
`protected Dimension` | `calculateSize​(boolean minimum)` | Returns the calculated size.
`protected void` | `calculateTabRects​(int tabPlacement, int tabCount)` | Calculate the tab rectangles.
`protected void` | `normalizeTabRuns​(int tabPlacement, int tabCount, int start, int max)` | Normalizes the tab runs.
`protected void` | `padSelectedTab​(int tabPlacement, int selectedIndex)` | Pads selected tab.
`protected void` | `padTabRun​(int tabPlacement, int start, int end, int max)` | Pads the tab run.
`protected int` | `preferredTabAreaHeight​(int tabPlacement, int width)` | Returns the preferred tab area height.
`protected int` | `preferredTabAreaWidth​(int tabPlacement, int height)` | Returns the preferred tab area width.
`protected void` | `rotateTabRuns​(int tabPlacement, int selectedRun)` | Rotates the run-index array so that the selected run is run[0].

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.awt.LayoutManager

`addLayoutComponent, layoutContainer, minimumLayoutSize, preferredLayoutSize, removeLayoutComponent`

## Constructor Details

### TabbedPaneLayout

public TabbedPaneLayout()

## Method Details

### calculateSize

protected Dimension calculateSize​(boolean minimum)
Returns the calculated size.

Parameters:
  `minimum` - use the minimum size or preferred size
Returns:
  the calculated size

### preferredTabAreaHeight

protected int preferredTabAreaHeight​(int tabPlacement, int width)
Returns the preferred tab area height.

Parameters:
  `tabPlacement` - the tab placement
  `width` - the width
Returns:
  the preferred tab area height

### preferredTabAreaWidth

protected int preferredTabAreaWidth​(int tabPlacement, int height)
Returns the preferred tab area width.

Parameters:
  `tabPlacement` - the tab placement
  `height` - the height
Returns:
  the preferred tab area widty

### calculateLayoutInfo

public void calculateLayoutInfo()
Calculates the layout info.

### calculateTabRects

protected void calculateTabRects​(int tabPlacement, int tabCount)
Calculate the tab rectangles.

Parameters:
  `tabPlacement` - the tab placement
  `tabCount` - the tab count

### rotateTabRuns

protected void rotateTabRuns​(int tabPlacement, int selectedRun)
Rotates the run-index array so that the selected run is run[0].

Parameters:
  `tabPlacement` - the tab placement
  `selectedRun` - the selected run

### normalizeTabRuns

protected void normalizeTabRuns​(int tabPlacement, int tabCount, int start, int max)
Normalizes the tab runs.

Parameters:
  `tabPlacement` - the tab placement
  `tabCount` - the tab count
  `start` - the start
  `max` - the max

### padTabRun

protected void padTabRun​(int tabPlacement, int start, int end, int max)
Pads the tab run.

Parameters:
  `tabPlacement` - the tab placement
  `start` - the start
  `end` - the end
  `max` - the max

### padSelectedTab

protected void padSelectedTab​(int tabPlacement, int selectedIndex)
Pads selected tab.

Parameters:
  `tabPlacement` - the tab placement
  `selectedIndex` - the selected index